twitter4j

## Class StreamController

- java.lang.Object
- - twitter4j.StreamController

    public class StreamController
    extends java.lang.Object

Since:
  Twitter4J 2.2.6
Author:
  Yusuke Yamamoto - yusuke at twitter.com

### Nested Class Summary

Nested Classes
`class` `StreamController.FriendsIDs`
`class` `StreamController.User`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `addUsers(long... userIds)`
`StreamController.FriendsIDs` `getFriendsIDs(long userId, long cursor)`
`ControlStreamInfo` `getInfo()`
`java.lang.String` `removeUsers(long... userIds)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInfo

    public ControlStreamInfo getInfo()
                              throws TwitterException

Throws:
  `TwitterException`

#### addUsers

    public java.lang.String addUsers(long... userIds)
                              throws TwitterException

Throws:
  `TwitterException`

#### removeUsers

    public java.lang.String removeUsers(long... userIds)
                                 throws TwitterException

Throws:
  `TwitterException`

#### getFriendsIDs

    public StreamController.FriendsIDs getFriendsIDs(long userId,
                                                     long cursor)
                                              throws TwitterException

Throws:
  `TwitterException`